Show / Hide Table of Contents

# Struct KeyEvent

Describes a keyboard event.

###### Namespace: Terminal

###### Assembly: Terminal.dll

##### Syntax

    public struct KeyEvent

### Constructors

#### KeyEvent(Key)

Constructs a new KeyEvent from the provided Key value - can be a rune cast into a Key value

##### Declaration

    public KeyEvent (Terminal.Key k);

##### Parameters

Type | Name | Description
--- | --- | ---
Key | k | To be added.

### Fields

#### Key

Symb olid definition for the key.

##### Declaration

    public Terminal.Key Key;

##### Field Value

Type | Description
--- | ---
Key | To be added.

### Properties

#### IsAlt

Gets a value indicating whether the Alt key was pressed (real or synthesized)

##### Declaration

    public bool IsAlt { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if is alternate; otherwise, `false`.

#### IsCtrl

Determines whether the value is a control key

##### Declaration

    public bool IsCtrl { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if is ctrl; otherwise, `false`.

#### KeyValue

The key value cast to an integer, you will typicall use this for extracting the Unicode rune value out of a key, when none of the symbolic options are in use.

##### Declaration

    public int KeyValue { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 | To be added.